---
- name: Copy SSH keys to hosts
  hosts: all,!otsrvcibernetica
  become: yes  # Elevate privileges to copy SSH keys

  tasks:
    - name: Copy SSH key
      authorized_key:
        user: "{{ ansible_ssh_user }}"
        key: "{{ lookup('file', '/home/jbenjumeam/.ssh/id_rsa.pub') }}"
      ignore_errors: yes  # Ignore errors if the key is already copied
